Announcement

Collapse
No announcement yet.

KDE Frameworks 5 Added To Arch, Plasma Next Is Coming

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • KDE Frameworks 5 Added To Arch, Plasma Next Is Coming

    Phoronix: KDE Frameworks 5 Added To Arch, Plasma Next Is Coming

    The next-generation KDE stack is getting some early attention and support from the Arch Linux crew...

    http://www.phoronix.com/vr.php?view=MTY5MjY

  • #2
    I'm so glad these finally reached extra. I'm going to run them through some tests, but I'm intending to write some KCMs for things I care about that I haven't found yet (mesa features, a proper samba configuration, NFS shares, etc) but I wanted to base them off kf5 so I could use qt5, c++11, and qtquick 2+ without fear of breakage.

    Comment


    • #3
      After installing kf5 and kf5-aids I just get a black screen with my mousepointer in the kde session
      Uninstalling helped.

      Comment


      • #4
        Originally posted by Nuc!eoN View Post
        After installing kf5 and kf5-aids I just get a black screen with my mousepointer in the kde session
        Uninstalling helped.
        kactivities4 and friends need to move out of testing. They pushed the kf5 stuff before 4.13.1 where they have the broken up packages.

        Comment


        • #5
          Originally posted by zanny View Post
          kactivities4 and friends need to move out of testing. They pushed the kf5 stuff before 4.13.1 where they have the broken up packages.
          I'm sorry for that. I pushed kactivities4 4.13.0 to [extra] right now.

          Comment


          • #6
            K for Kool.

            Comment


            • #7
              If anyones on Fedora there is a the dvratil COPR for KDE Frameworks 5 , but i will tell you the package updates have a habit of completely failing due to dependecy problems... like right now.
              All opinions are my own not those of my employer if you know who they are.

              Comment


              • #8
                Originally posted by ilpianista View Post
                I'm sorry for that. I pushed kactivities4 4.13.0 to [extra] right now.
                Just pulled the packages and everything works now with kf5 activities. Thank you!

                Comment


                • #9
                  So exactly which packages are obsoleted by this? I'm very interested in trying this now.

                  Comment


                  • #10
                    Originally posted by schmidtbag View Post
                    So exactly which packages are obsoleted by this? I'm very interested in trying this now.
                    None. These packages are the KF5 libraries that new apps built against them will depend on. They don't conflict or provide any older kde4 dependencies. There is a compatibility library, but that is still for applications building against kf5 that can't port all the obsoleted kde4 functionality yet.

                    In the end, this replaces the kdelibs package. The point is to make each framework usable for outside projects who want their functionality but not a dependency on the entirety of kde. For Arch users this means a smaller library footprint if you don't use one of the more esoteric KDE libs like sonnet or attica.

                    Comment

                    Working...
                    X